FUNCTION(3)

NAME
boost::interprocess::make_managed_unique_ptr

SYNOPSIS

// In header: <boost/interprocess/smart_ptr/unique_ptr.hpp>
template<typename T, typename ManagedMemory>
  managed_unique_ptr< T, ManagedMemory >::type
  make_managed_unique_ptr(T * constructed_object,
                          ManagedMemory & managed_memory);

DESCRIPTION

Returns an instance of a unique pointer constructed with boost::interproces::deleter from a pointer of type T that has been allocated in the passed managed segment